
# GoogleSheets.jl Documentation

```@contents
``` 


## Enums

```@docs
AuthScope
```

```@docs
ValueType
```

```@docs
ConditionType
```

```@docs
NumberFormatType
```


## Types

```@docs
GoogleSheetsClient
```

```@docs
Spreadsheet
```

```@docs
Sheet
```

```@docs
CellRange
```

```@docs
CellRanges
```

```@docs
CellRangeValues
```

```@docs
UpdateSummary
```

```@docs
CellIndexRange1D
```

```@docs
CellIndexRange2D
```

```@docs
CellFormat
```

```@docs
DataFrame
```


## Functions

```@docs
sheets_client
```

```@docs
sheet_names
```

```@docs
sheets
```

```@docs
batch_update!
```

```@docs
add_sheet!
```

```@docs
delete_sheet!
```

```@docs
freeze!
```

```@docs
append!
```

```@docs
insert_rows!
```

```@docs
insert_cols!
```

```@docs
delete_rows!
```

```@docs
delete_cols!
```

```@docs
meta
```

```@docs
show
```

```@docs
get
```

```@docs
update!
```

```@docs
clear!
```

```@docs
format!
```

```@docs
format_conditional!
```

```@docs
format_color_gradient!
```

```@docs
GoogleSheets.update_default_rate_limiter
```

```@docs
GoogleSheets.credentials_file
```


## Index

```@index
```